JmsSupport (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.JmsSupport interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Interface JmsSupport

All Known Implementing Classes:
  Jms102bSupport, Jms11Support

    public interface JmsSupport

`JmsSupport` is an interface that provides a polymorphic facade to the JMS 1.0.2b and 1.1 API specifications. this interface is not intended for general purpose use and should only be used with the Mule JMS connector.

Method Summary
`Connection` | `createConnection(ConnectionFactory connectionFactory)`
`Connection` | `createConnection(ConnectionFactory connectionFactory, String username, String password)`
`MessageConsumer` | `createConsumer(Session session, Destination destination, boolean topic)`
`MessageConsumer` | `createConsumer(Session session, Destination destination, String messageSelector, boolean noLocal, String durableName, boolean topic)`
`Destination` | `createDestination(Session session, ImmutableEndpoint endpoint)`
`Destination` | `createDestination(Session session, String name, boolean topic)`
`MessageProducer` | `createProducer(Session session, Destination destination, boolean topic)`
`Session` | `createSession(Connection connection, boolean topic, boolean transacted, int ackMode, boolean noLocal)`
`Destination` | `createTemporaryDestination(Session session, boolean topic)`
`void` | `send(MessageProducer producer, Message message, boolean topic)`
`void` | `send(MessageProducer producer, Message message, boolean persistent, int priority, long ttl, boolean topic)`
`void` | `send(MessageProducer producer, Message message, Destination dest, boolean topic)`
`void` | `send(MessageProducer producer, Message message, Destination dest, boolean persistent, int priority, long ttl, boolean topic)`

Method Detail

### createConnection

    Connection createConnection(ConnectionFactory connectionFactory)
                                throws JMSException

  Throws:
    `JMSException`

### createConnection

    Connection createConnection(ConnectionFactory connectionFactory,
                                String username,
                                String password)
                                throws JMSException

  Throws:
    `JMSException`

### createSession

    Session createSession(Connection connection,
                          boolean topic,
                          boolean transacted,
                          int ackMode,
                          boolean noLocal)
                          throws JMSException

  Throws:
    `JMSException`

### createProducer

    MessageProducer createProducer(Session session,
                                   Destination destination,
                                   boolean topic)
                                   throws JMSException

  Throws:
    `JMSException`

### createConsumer

    MessageConsumer createConsumer(Session session,
                                   Destination destination,
                                   String messageSelector,
                                   boolean noLocal,
                                   String durableName,
                                   boolean topic)
                                   throws JMSException

  Throws:
    `JMSException`

### createConsumer

    MessageConsumer createConsumer(Session session,
                                   Destination destination,
                                   boolean topic)
                                   throws JMSException

  Throws:
    `JMSException`

### createDestination

    Destination createDestination(Session session,
                                  String name,
                                  boolean topic)
                                  throws JMSException

  Throws:
    `JMSException`

### createDestination

    Destination createDestination(Session session,
                                  ImmutableEndpoint endpoint)
                                  throws JMSException

  Throws:
    `JMSException`

### createTemporaryDestination

    Destination createTemporaryDestination(Session session,
                                           boolean topic)
                                           throws JMSException

  Throws:
    `JMSException`

### send

    void send(MessageProducer producer,
              Message message,
              boolean topic)
              throws JMSException

  Throws:
    `JMSException`

### send

    void send(MessageProducer producer,
              Message message,
              boolean persistent,
              int priority,
              long ttl,
              boolean topic)
              throws JMSException

  Throws:
    `JMSException`

### send

    void send(MessageProducer producer,
              Message message,
              Destination dest,
              boolean topic)
              throws JMSException

  Throws:
    `JMSException`

### send

    void send(MessageProducer producer,
              Message message,
              Destination dest,
              boolean persistent,
              int priority,
              long ttl,
              boolean topic)
              throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.